r.pack(1)

NAME
r.pack.py - Exports a raster map as GRASS GIS specific archive file

KEYWORDS
raster, export, copying

SYNOPSIS
r.pack.py
r.pack.py --help
r.pack.py [-c] input=name [output=name] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-c
    Switch the compression off

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

input=name [required]
    Name of raster map to pack up

output=name
    Name for output file (default is <input>.pack)

DESCRIPTION
r.pack collects raster map elements and support files and compressed them using gzip algorithm for copying. The packed file can be afterwards unpacked by r.unpack.

NOTES
Name of the pack file is determined by default from input parameter. Optionally the name can be given by output parameter. Currently only 2D raster maps are supported.

EXAMPLE
Pack up raster map aspect into aspect.pack file.

r.pack input=aspect

the raster map can be afterwards unpacked by

r.unpack input=aspect.pack

SEE ALSO
r.unpack, r.in.gdal, g.copy, r.proj, v.unpack

AUTHORS
Original Bash script written by Hamish Bowman, Otago University, New Zealand
Converted to Python and updated for GRASS 7 by Martin Landa, Czech Technical University in Prague, Czech Republic

Last changed: $Date: 2015-09-05 17:56:17 +0200 (so, 05 9 2015) $

Main index | Raster index | Topics index | Keywords index | Full index

© 2003-2015 GRASS Development Team, GRASS GIS 7.0.2 Reference Manual